Package org.apache.nutch.service.model.request

## Class SeedList

- java.lang.Object
- - org.apache.nutch.service.model.request.SeedList

- All Implemented Interfaces:
    `Serializable`

      public class SeedList
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeedList()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `String` | `getSeedFilePath()` |
    `Collection<SeedUrl>` | `getSeedUrls()` |
    `int` | `getSeedUrlsCount()` |
    `int` | `hashCode()` |
    `void` | `setId​(Long id)` |
    `void` | `setName​(String name)` |
    `void` | `setSeedFilePath​(String seedFilePath)` |
    `void` | `setSeedUrls​(Collection<SeedUrl> seedUrls)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeedList

          public SeedList()

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getSeedUrls

          public Collection<SeedUrl> getSeedUrls()

    - #### setSeedUrls

          public void setSeedUrls​(Collection<SeedUrl> seedUrls)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getSeedFilePath

          public String getSeedFilePath()

    - #### setSeedFilePath

          public void setSeedFilePath​(String seedFilePath)

    - #### getSeedUrlsCount

          public int getSeedUrlsCount()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`